Unable to successfully install plugin on Ubuntu 18.04

Asked by Stuart Millington on 2019-09-18

I am attempting to install HPLIP on Ubuntu 18.04. I am having problem getting the plugin installed.

If I run hp-setup, it detects my printer, and I select that. In the Driver Plugin Installation screen I select a local copy of hplip-3.19.8-plugin.run. After the Licence Agreement dialog, and inputting the sudo password, I am told that the Plugin Installation was successful. When I run hp-check towards the end of the output I get:

HP-LaserJet-M1536dnf-MFP
------------------------
Type: Unknown
Device URI: socket://192.168.1.20
PPD: /etc/cups/ppd/HP-LaserJet-M1536dnf-MFP.ppd
PPD Description: HP LaserJet M1536dnf MFP Postscript (recommended)
Printer status: printer HP-LaserJet-M1536dnf-MFP is idle. enabled since Mon 12 Aug 2019 19:14:35 BST
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.

Running hp-plugin does not improve the situation. Please advise as soon as possible.

Regards, StuartM

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
shivani mandora
Solved:
2019-09-30
Last query:
2019-09-30
Last reply:
2019-09-30
shivani mandora (shivani1708) said : #1

Hi,

If your printer is installed successfully, you can run below command to install plugin:

$sh hplip-3.19.8-plugin.run

After this, try printing and scanning.

Hi Shivani,

I did as you suggested, but although I still get the same warning
message when I run hp-check, I am actually able to print a test page and
to scan in XSane and SimpleScan. I have not done any more extensive
testing though. Thanks for the help.

Regards, *Stuart Millington*

On 23/09/2019 07:28, shivani mandora wrote:
> Your question #684025 on HPLIP changed:
> https://answers.launchpad.net/hplip/+question/684025
>
> Status: Open => Answered
>
> shivani mandora proposed the following answer:
> Hi,
>
> If your printer is installed successfully, you can run below command to
> install plugin:
>
> $sh hplip-3.19.8-plugin.run
>
> After this, try printing and scanning.
>

Best shivani mandora (shivani1708) said : #3

Hi,

If you problem is solved, can you please close the issue?

The suggestion from Shivani did the trick.